### Enumeration

# Shumate StyleError

since: 1.0

#### Declaration

    error-domain Shumate.StyleError

#### Description [src]

Error codes that occurs while parsing the style in `ShumateVectorRenderer`.

Available since: 1.0

#### Members

`SHUMATE_STYLE_ERROR_FAILED`

  An unspecified error occurred during the operation.

  - Value: `0`
  - Nickname: `failed`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_MALFORMED_STYLE`

  A JSON node in the style has the wrong type (e.g. an object where there should be an array).

  - Value: `1`
  - Nickname: `malformed-style`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_UNSUPPORTED_LAYER`

  An unsupported layer type was encountered.

  - Value: `2`
  - Nickname: `unsupported-layer`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_INVALID_EXPRESSION`

  An invalid or unrecognized expression was encountered.

  - Value: `3`
  - Nickname: `invalid-expression`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_SUPPORT_OMITTED`

  Libshumate was compiled without vector tile support.

  - Value: `4`
  - Nickname: `support-omitted`
  - Available since: 1.0
`SHUMATE_STYLE_ERROR_UNSUPPORTED`

  An unsupported style spec feature was encountered.

  - Value: `5`
  - Nickname: `unsupported`
  - Available since: 1.0

#### Type functions

###### shumate_style_error_quark

No description available.

since: 1.0